 2400 Vagrant Cascadian 2012-11-02
      ltsp-config: Forget using printf with %b, just include the variable directly.

 2399 Vagrant Cascadian 2012-10-29
      Fix bugs introduced switching to printf.
      - Use the correct variable name
      - Use %b, so that characters are interpreted properly.
      Thanks to Wim and Alkis for catching my blunders.

 2396 Vagrant Cascadian 2012-10-29
      Fix bashism in ltsp-config by using printf instead of 'echo -e'.
      http://bugs.debian.org/690618

 2371 Alkis Georgopoulos        2012-07-25
      ltsp-config: fix dnsmasq configuration for multiple proxy subnets

=== modified file 'server/ltsp-config'
--- old/server/ltsp-config	2012-06-07 06:41:39 +0000
+++ new/server/ltsp-config	2012-10-30 19:39:16 +0000
@@ -54,7 +54,7 @@
     if grep -q "$match" "$file"; then
         sed "s/$match/$replace/" -i "$file"
     else
-        echo -e "$replace" >> "$file"
+        printf "$replace\n" >> "$file"
     fi
 }
 
@@ -123,7 +123,8 @@
                 # do nothing on these networks
                 ;;
             *)
-                echo "${separator}dhcp-range=$subnet,proxy"
+                # echo in dash translates "\n", use printf to keep it
+                printf "%s" "${separator}dhcp-range=$subnet,proxy"
                 # Insert a separator only after the first line
                 separator="\n"
                 ;;

